# $Revision: 1.7 $, $Date: 2004/12/25 15:46:25 $
%define		module	mmpython
Summary:	Media Metadata for Python
Summary(pl):	Metadane multimedialne dla Pythona
Name:		python-%{module}
Version:	0.4.7
Release:	2
License:	LGPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/mmpython/%{module}-%{version}.tar.gz
# Source0-md5:	fbd0fb7bc855e0b9f31485c9f9c256a7
URL:		http://sourceforge.net/projects/mmpython/
%pyrequires_eq	python-modules
BuildRequires:	libdvdread-devel
BuildRequires:	python >= 2.2.1
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MMPython is a Media Meta Data retrieval framework. It retrieves
metadata from MP3, Ogg, AVI, JPG, TIFF and other file formats. Among
others it thereby parses ID3v2, ID3v1, EXIF, IPTC and Vorbis data into
an object oriented struture.

%description -l pl
MMPython to szkielet do odczytywania metadanych z multimediw.
Odtwarza metadane z plikw MP3, Ogg, AVI, JPG, TIFF i innych formatw.
Midzy innymi przetwarza dane ID3v2, TD3v1, EXIF, IPTC i Vorbis na
struktury zorientowane obiektowo.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}" \
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{py_sitedir}/%{module}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-mmpython.spec,v $
Revision 1.7  2004/12/25 15:46:25  saq
- release 2 for rebuild with python 2.4

Revision 1.6  2004/12/17 15:45:20  darekr
- updated to 0.4.7

Revision 1.5  2004/10/24 21:04:48  paladine
- spelling fixes, uppercases, etc.

Revision 1.4  2004/10/04 11:22:38  wiget
- updated to 0.4.6

Revision 1.3  2004/08/30 20:27:46  qboosh
- BR: libdvdread-devel
- glib-devel and pkgconfig not used (copy-pasto?)

Revision 1.2  2004/08/30 20:08:55  qboosh
- pl, description, missing dir

Revision 1.1  2004/08/30 18:40:24  adasi
- new spec - needs some cosmetics
